Subject: linux-next: build failure after merge of the staging tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 3 Jun 2015 17:16:34 +1000

Hi Greg,

After merging the staging tree, today's linux-next build (x86_64 allmodconfig)
failed like this:

drivers/staging/wilc1000/wilc_wfi_cfgoperations.c:681:3: error: too few arguments to function 'cfg80211_disconnected'
   cfg80211_disconnected(dev, pstrDisconnectNotifInfo->u16reason, pstrDisconnectNotifInfo->ie,
   ^
In file included from drivers/staging/wilc1000/wilc_wfi_netdevice.h:40:0,
                 from drivers/staging/wilc1000/wilc_wfi_cfgoperations.h:11,
                 from drivers/staging/wilc1000/wilc_wfi_cfgoperations.c:13:
include/net/cfg80211.h:4584:6: note: declared here
 void cfg80211_disconnected(struct net_device *dev, u16 reason,
      ^

Caused by commit c5c77ba18ea6 ("staging: wilc1000: Add SDIO/SPI 802.11
driver") from the staging tree interacting with commit 80279fb7ba5b
("cfg80211: properly send NL80211_ATTR_DISCONNECTED_BY_AP in
disconnect") from the net-next tree.

I applied the below merge fix patch (I didn't know if it should be
"true" or "false" - advise would be nice).  However, there are still
way to many warnings from this driver, so I have disabled it again.

From: Stephen Rothwell <[email-masked]>
Date: Wed, 3 Jun 2015 17:09:03 +1000
Subject: [PATCH] staging: wilc1000: fix call to cfg80211_disconnecteddue to API change

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/staging/wilc1000/wilc_wfi_cfgoperations.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/staging/wilc1000/wilc_wfi_cfgoperations.c b/drivers/staging/wilc1000/wilc_wfi_cfgoperations.c
index f5eff0933e7d..1685669762e8 100644
--- a/drivers/staging/wilc1000/wilc_wfi_cfgoperations.c
+++ b/drivers/staging/wilc1000/wilc_wfi_cfgoperations.c
@@ -679,7 +679,7 @@ static void CfgConnectResult(tenuConnDisconnEvent enuConnDisconnEvent,
 			pstrDisconnectNotifInfo->u16reason = 1;
 		}
 		cfg80211_disconnected(dev, pstrDisconnectNotifInfo->u16reason, pstrDisconnectNotifInfo->ie,
-				      pstrDisconnectNotifInfo->ie_len, GFP_KERNEL);
+				      pstrDisconnectNotifInfo->ie_len, false, GFP_KERNEL);
 
 	}
 
-- 
2.1.4

-- 
Cheers,
Stephen Rothwell                    [email-masked]